Subject: Re: [PATCH v2 00/14] MediaTek SoC flow offload improvements + wireless support

From: Andrew Lunn <[email-masked]>
Date: Thu, 7 Apr 2022 19:28:29 +0200

On Thu, Apr 07, 2022 at 07:00:36PM +0200, Felix Fietkau wrote:
> On 07.04.22 17:57, Andrew Lunn wrote:
> > On Wed, Apr 06, 2022 at 01:30:17PM +0000, [email-masked] wrote:
> > > Hello:
> > > 
> > > This series was applied to netdev/net-next.git (master)
> > > by David S. Miller <[email-masked]>:
> > > 
> > > On Tue,  5 Apr 2022 21:57:41 +0200 you wrote:
> > > > This series contains the following improvements to mediatek ethernet flow
> > > > offload support:
> > > > > - support dma-coherent on ethernet to improve performance
> > > > - add ipv6 offload support
> > > > - rework hardware flow table entry handling to improve dealing with hash
> > > >   collisions and competing flows
> > > > - support creating offload entries from user space
> > > > - support creating offload entries with just source/destination mac address,
> > > >   vlan and output device information
> > > > - add driver changes for supporting the Wireless Ethernet Dispatch core,
> > > >   which can be used to offload flows from ethernet to MT7915 PCIe WLAN
> > > >   devices
> > 
> > Hi David
> > 
> > It seems very early to merge this. The discussion of if the files are
> > even in the right places has not even finished. And Arnd seems to not
> > want parts of this in his subsystem. And there are some major
> > architecture issues which need discussing...
> > 
> > I think you should revert this.
> How about I simply send follow-up patches that move the relevant pieces to
> net?

There has just been comments from Rob about the binding. I've not yet
looked at the code, but if i remember correctly, v1 had some
interaction with the DSA tagger, so i do want to look at it.

I'm also wondering if there is anything common here with IPA. It is an
accelerator which sits between the WiFi and the mobile phone baseband
device.

I really would prefer that a proper review of this code was made, by
netdev people, and the bigger architecture questions looked at. So
far, all the reviewers have been from outside netdev.

       Andrew